Alle venerdì 6 aprile 2007, Michael Satterwhite ha scritto:
> I'm trying to install RMagick on Kubuntu Dapper using Rubygems. My
> installation is failing with the following error message:
>
> configure: error: Can't install RMagick. Can't find Magick-config or
> GraphicsMagick-config program.
>
> ERROR:  While executing gem ... (RuntimeError)
>     ERROR: Failed to build gem native extension.
> Gem files will remain installed in
> /usr//lib/ruby/gems/1.8/gems/rmagick-1.15.5 for inspection.
>
>
> Results logged to
> /usr/lib/ruby/gems/1.8/gems/rmagick-1.15.5/gem_make.out
>
> -------------------------------------------------
> /usr/lib/ruby/gems/1.8/gems/rmagick-1.15.5/gem_make.out is an empty
> file.
>
> My guess is that there's something I need to install, but I haven't the
> foggiest what package. I've browsed through Synaptic, but I don't see an
> obvious development package I've missed.
>
> Could someone offer me a little help here?
>
> Thanks in advance
> ---Michael

The first line of the error message tells that the installation script wasn't 
able to find one of the two programs Magick-config or GraphicsMagick-config. 
Going to the Ubuntu packages site (http://packages.ubuntu.com/) and entering 
that name in the search contents of packages field, you'll find that the 
package you need is called libmagick9-dev (note: I don't use 
Ubuntu/Kubuntu/Xubuntu, so I can't test my suggestion.)

I hope this helps

Stefano